
:root{
    --primaryColor-: #f59f27;
    --primaryColor: #f59f27;
    --primaryColorLight : rgba(0, 153, 79,.1);
    --secondaryColor: #f59f27;
    --redColor: #D50000;
    --redColorLight: #d5000012;
    --bgGray: rgb(236, 240, 237);
    --blackColor: #202020;
    --textDefaultColor: rgba(16, 16, 16, 0.7);
    --grayLightColor: rgba(16, 16, 16, 0.05);
    --defaultBorderRadius: 30px;
    --defaultPadding: 20px;
    --fontSizeInput: 19px;
    --heightInput: 50px;
}



html, body {
    height: 100%;
    margin: 0;
    background-color: #ffffff !important;
    color: black;
}
*, a{
    box-sizing: border-box;
    font-family: 'League Spartan', sans-serif;
    color: var(--textDefaultColor);
    font-size: 19px;
    font-weight: 300;
}
a{
    text-decoration: none;
    transition: 0.3s ease;
}
a:hover, a:active, a:focus{
    color: var(--textDefaultColor);
    text-decoration: none;
}
h1, h2, h3, h4{
    margin: 0;
    font-weight: 500;
}
h1 *, h2 *, h3 *, h4 * {
    font-weight: inherit; /* reprend le font-weight du parent */
    font-size: inherit;   /* reprend la taille du parent */
}
b{
    font-weight:6500;
}

/* 
    DEFAULT 
*/
.e-img{
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.e-container{
    padding: 0 150px;
}
.e-btn{
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 45px;
    background-color: var(--primaryColor);
    color: var(--textDefaultColor);
    padding: 0px 20px;
    transition: 0.3s ease;
    color: black;
    cursor: pointer;
    border: none;
}
.e-btn:hover{
    transition: 0.3s ease;
}
.e-btn ion-icon {
    margin-left: 5px;
}
.e-btn.e-no-bg{
    background-color: transparent;
    padding: 0px;
}
.e-color-black{
    color: black;
}
.e-color-primary{
    color: var(--primaryColor);
}


/* 
    HEAD 
*/
.e-head{
    height: 100% !important;
    margin-bottom: 0 !important;
    padding: 0;
    background-color: #ffffff  !important;
}

/* Navbar */
.e-head .e-navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 80px;
    background-color: white;
}
.e-head .e-top {
    min-height: 80px;
}
.e-navbar.fixed {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 9999;
    box-shadow: 0 8px 20px rgba(15, 23, 42, 0.03);
}
.e-navbar .logo {
    padding-top: 5px;
    font-size: 22px;
    font-weight: bold;
}
.e-navbar .nav-links {
    list-style: none;
    display: flex;
    gap: 40px;
}
.e-navbar .nav-links li a {
    display: inline-block;
    padding: 5px 0px;
    text-decoration: none;
    position: relative;
}
.e-navbar  .nav-links li a.e-contact {
    background-color: var(--primaryColor);
    padding: 5px 15px;
}
.e-navbar .nav-links li a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    width: 0%;
    height: 2px;
    background-color: var(--textDefaultColor);
    transition: width 0.3s ease;
}
.e-navbar .nav-links li a:not(.e-contact):hover::after {
    width: 100%;
}
.e-navbar .menu-toggle {
    display: none;
    font-size: 26px;
    cursor: pointer;
}

/* Main content */
.e-head .e-main-content{
    display: flex;
    height: calc(100% - 80px);
}
/*  */
.e-head .e-main-content .e-texte{
    width: 40%;
    padding-left: 150px;
    padding-right: 40px;
    display: flex;
    flex-direction: column; 
    justify-content: center;
}
.e-head .e-main-content .e-texte h1{
    width: 100%;
    margin-bottom: 5px;
    font-weight: 800;
}
.e-head .e-main-content .e-texte p{
    font-size: 25px;
    margin: 40px 0;
}
/*  */
.e-head .e-main-content .e-img{
    width: 60%;
    display: flex;
    align-items: flex-end;
    background-position: top !important;
    position: relative;
    overflow: hidden;
}
#hero .bg-slide {
    position: absolute;
    inset: 0;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: none; /* caché par défaut */
    z-index: 0;
}
.e-head .e-main-content .e-img .e-content{
    height: auto;
    padding: 20px;
    display: flex;
    position: relative;
    z-index: 1;
}
.e-head .e-main-content .e-img .e-content .e-experience{
    width: 280px;
    background: rgba(255, 255, 255, 0.01); /* blanc transparent */
    backdrop-filter: blur(10px);          /* flou */
    -webkit-backdrop-filter: blur(10px);  /* support Safari */
    padding: 10px 20px;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.e-head .e-main-content .e-img .e-content .e-experience h2{
    color: white;
    font-weight: 700;
    margin-bottom: 0px;
}
.e-head .e-main-content .e-img .e-content .e-service{
    background-color: white;
    padding: 10px 20px;
    display: flex;
    align-items: center;
}
.e-head .e-main-content .e-img .e-content .e-plus{
    background-color: white;
    padding-right: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.e-head .e-main-content .e-img .e-content .e-plus .btn {
    width: 45px;
    height: 45px;
    color: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 22px;
    cursor: pointer;
    transition: 0.3s ease;
    border: 1px solid var(--textDefaultColor);
}
.e-head .e-main-content .e-img .e-content .e-plus .btn ion-icon{
    color: var(--textDefaultColor);
}
.e-head .e-main-content .e-img .e-content .e-plus .btn:hover {
    background: var(--primaryColor);
    transform: scale(1.05);
    border-color: var(--primaryColor);
}



/* Goal */
.e-goal-content > div{
    background-color: white;
    padding: 20px 30px;
    box-shadow: 0 8px 20px rgba(15, 23, 42, 0.12);
    width: 550px;
    position: relative;
    bottom: -100px;
}


/* 
    SERVICES
*/
.e-service-card .uk-card{
    min-height: 300px;
}
.e-service-card .e-icon{
    margin-bottom: 10px;
}
.e-service-card .e-icon i{
    color: var(--primaryColor);
    font-size: 40px;
}


/* 
    CONTACT
*/
.e-contact-content .e-icon{
    position: relative;
    top: 7px;
}
.e-contact-content .e-icon i{
    color: var(--primaryColor);
    font-size: 25px;
}

/* 
    ACTUALITY
*/
.news-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    gap: 25px;
}
.news-card {
    background: #fff;
    overflow: hidden;
    transition: transform 0.3s ease;
}
.news-card:hover {
    transform: translateY(-5px);
}
.news-card img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}
.news-content {
    padding: 20px;
}

.news-date {
    font-size: 0.85rem;
    color: #777;
}
.news-title {
    margin: 10px 0;
    font-size: 1.2rem;
    color: #333;
}
.news-desc {
    color: #555;
    font-size: 0.95rem;
    margin-bottom: 20px;
}
.news-btn {
    display: inline-block;
    padding: 8px 15px;
    background-color: #2E8B57;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    font-size: 0.9rem;
}
.news-btn:hover {
    background-color: #256f47;
}
